<?php
/**
* @version 1.0.0
* @package RSFiles! 1.0.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/


defined( '_JEXEC' ) or die( 'Restricted access' ); 
?>

<script type="text/javascript">
	function report_validate()
	{
		if (document.adminForm.report.value == '')
		{
			alert('<?php echo JText::_('RSFL_INVALID_REPORT',true); ?>');
			return false;
		} else
		{
			window.top.setTimeout('window.parent.document.getElementById(\'sbox-window\').close()', 700);
			return true;
		}
	}
</script>

<form action="<?php echo JRoute::_('index.php?option=com_rsfiles&view=files&layout=report',false); ?>" method="post" name="adminForm" id="adminForm">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
	<tr align="center">
		<td valign="top">
			<table  class="adminform">
				<tr>
					<td>&nbsp;</td>
					<td>
						<?php echo JText::_('RSFL_REPORT_MESSAGE'); ?>
					</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td>
						<textarea name="report" id="report" style="height: 120px; width: 400px;"></textarea>
						<br/>
						<button type="submit" onclick="return report_validate();"><?php echo JText::_('RSFL_SEND_BTN'); ?></button>
						<button type="button" onclick="window.parent.document.getElementById('sbox-window').close();"><?php echo JText::_('RSFL_CANCEL_BTN'); ?></button>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
<?php echo JHTML::_( 'form.token' ); ?>
<input type="hidden" name="option" value="com_rsfiles" />
<input type="hidden" name="controller" value="files" />
<input type="hidden" name="task" value="report" />
<input type="hidden" name="path" value="<?php echo $this->path; ?>" />
</form>

<?php
//keep session alive while editing
JHTML::_('behavior.keepalive');
?>